org.restlet.engine.component

## Class ComponentHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ChainHelper<Component>
      - - org.restlet.engine.component.ComponentHelper

    public class ComponentHelper
    extends ChainHelper<Component>

Component helper.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ComponentHelper(Component component)` Constructor.

### Method Summary

Methods
`ClientRouter` `getClientRouter()` Returns the internal client router.
`ServerRouter` `getServerRouter()` Returns the internal host router.
`void` `setServerRouter(ServerRouter serverRouter)` Sets the internal server router.
`void` `start()` Start callback.
`void` `stop()` Stop callback.
`void` `update()` Set the new server router that will compute the new routes when the first request will be received (automatic start).

### Methods inherited from class org.restlet.engine.ChainHelper

`addFilter, clear, getFirst, getLast, handle, setFirst, setLast, setNext`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getContext, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentHelper

    public ComponentHelper(Component component)

Constructor.

Parameters:
  `component` - The helper component.

### Method Detail

#### getClientRouter

    public ClientRouter getClientRouter()

Returns the internal client router.

Returns:
  the internal client router.

#### getServerRouter

    public ServerRouter getServerRouter()

Returns the internal host router.

Returns:
  the internal host router.

#### setServerRouter

    public void setServerRouter(ServerRouter serverRouter)

Sets the internal server router.

Parameters:
  `serverRouter` - The internal host router.

#### start

    public void start()
               throws java.lang.Exception

Description copied from class: `RestletHelper`
Start callback.

Specified by:
  `start` in class `RestletHelper<Component>`
Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Description copied from class: `RestletHelper`
Stop callback.

Specified by:
  `stop` in class `RestletHelper<Component>`
Throws:
  `java.lang.Exception`

#### update

    public void update()
                throws java.lang.Exception

Set the new server router that will compute the new routes when the first request will be received (automatic start).

Specified by:
  `update` in class `RestletHelper<Component>`
Throws:
  `java.lang.Exception`